%define anolis_release 1

Name:          python-mako
Version:       1.1.4
Release:       %{anolis_release}%{?dist}
BuildArch:     noarch

# Mostly MIT, but _ast_util.py is Python licensed
License:       MIT and Python
Summary:       Mako template library for Python
URL:           http://www.makotemplates.org/
Source0:       https://github.com/sqlalchemy/mako/archive/rel_%(echo %{version} | sed "s/\./_/g").tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-setuptools
BuildRequires: python3-markupsafe

%global _description\
Mako is a template library written in Python. It provides a familiar, non-XML\
syntax which compiles into Python modules for maximum performance. Mako's\
syntax and API borrows from the best ideas of many others, including Django\
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded\
Python (i.e. Python Server Page) language, which refines the familiar ideas of\
componentized layout and inheritance to produce one of the most straightforward\
and flexible models available, while also maintaining close ties to Python\
calling and scoping semantics.

%description %_description


%package -n python3-mako
Summary: %{summary}

# Beaker is the preferred caching backend, but is not strictly necessary
Recommends: python3-beaker

Obsoletes: python2-mako < 1.1.0-3
Obsoletes: python-mako-doc < 1.1.4-6

%{?python_provide:%python_provide python3-mako}

%description -n python3-mako %_description

This package contains the mako module built for use with python3.



%prep
%autosetup -p1 -n mako-rel_%(echo %{version} | sed "s/\./_/g")

# the package ends up installed as %%{version}.dev0 otherwise:
sed -i '/tag_build = dev/d' setup.cfg


%build
%py3_build


%install
%py3_install

mv %{buildroot}/%{_bindir}/mako-render %{buildroot}/%{_bindir}/mako-render-%{python3_version}
ln -s ./mako-render-%{python3_version} %{buildroot}/%{_bindir}/mako-render-3
ln -s ./mako-render-%{python3_version} %{buildroot}/%{_bindir}/mako-render


%check
pytest-3


%files -n python3-mako
%license LICENSE
%doc CHANGES README.rst examples
%{_bindir}/mako-render
%{_bindir}/mako-render-3
%{_bindir}/mako-render-%{python3_version}
%{python3_sitelib}/mako/
%{python3_sitelib}/Mako-*.egg-info/


%changelog
* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 1.1.4-1
- Init pcakage from upstream
